# Class LineModel

Object used to expose the OpenLayer map.

Example of usage:

       (window as any).gmfapi.store.line.getLine().subscribe({
         next: (line: OlGeomLineString) => {
           if (line) {
             ...
           }
         },
       })

- Defined in src/lidar/line.ts:39

#####
Index

### Constructors

constructor

### Methods

getLine
setLine

## Constructors

### constructor

- new LineModel(): LineModel

- #### Returns LineModel

## Methods

### getLine

- getLine(): BehaviorSubject<LineString>

- Get the lines

  #### Returns BehaviorSubject<LineString>

  The existing line.

  - Defined in src/lidar/line.ts:52

### setLine

- setLine(line): void

- Set the line.

  #### Parameters

  - line: LineString

    The line

  #### Returns void

  - Defined in src/lidar/line.ts:61